Loading...
Searching...
No Matches
BD_ARGB_BUFFER Struct Reference

Application-allocated frame buffer for ARGB overlays. More...

`#include <overlay.h>`

## Data Fields

void(* | lock )(struct bd_argb_buffer_s *)
| Lock (or prepare) buffer for writing.
void(* | unlock )(struct bd_argb_buffer_s *)
| Unlock buffer (write complete).
uint32_t * | buf [6]
| [0] - PG plane, [1] - IG plane, [2] - Background plane.
int | width
| overlay buffer width (pixels)
int | height
| overlay buffer height (pixels)
struct { |
uint16_t x0 |
| top-left x coordinate
uint16_t y0 |
| top-left y coordinate
uint16_t x1 |
| bottom-down x coordinate
uint16_t y1 |
| bottom-down y coordinate
} | dirty [3]
| Dirty area of frame buffers.

## Detailed Description

Application-allocated frame buffer for ARGB overlays.

When using application-allocated frame buffer DRAW events are executed by libbluray. Application needs to handle only OPEN/FLUSH/CLOSE events.

DRAW events can still be used for optimizations.

## Field Documentation

## buf

uint32_t* BD_ARGB_BUFFER::buf[6]

[0] - PG plane, [1] - IG plane, [2] - Background plane.

[3..5] reserved for stereoscopic overlay.

## [struct]

struct { ... } BD_ARGB_BUFFER::dirty[3]

Dirty area of frame buffers.

- Updated by library before lock() call.
- Reset after each BD_ARGB_OVERLAY_FLUSH. [0] - PG plane, [1] - IG plane, [2] - Background plane

The documentation for this struct was generated from the following file:

- overlay.h